Guides
Guides

How to retrieve facility details

The facilities resource allows you to retrieve detailed information about a specific parking facility. Requests against this resource use the HTTP GET method.

Note:

Id values change without notice. If the specified Id does not match a station in the resource, the query results in a 404 Not found http status message.

Request example

The code block below shows a request for the parking facility with the specified id.

curl GET 
https://parking-v2.cc.api.here.com/parking/facilities/{Id}.xml
-H "Authorization: Bearer {YOUR_TOKEN}"

Note: You can only request information for one parking Id at a time with this request.

Request parameters

The table below documents both mandatory and optional request parameters supported by this resource.

ParameterRequiredDescription
app_id - LegacyYesA-20 byte Base64 URL-safe encoded string used for the authentication of the client application. You must include an app_id and app_code with every request. For more information on authentication, see the Identity and Access Management Developer Guide.
app_code - LegacyYesA-20 byte Base64 URL-safe encoded string used for the authentication of the client application. You must include an app_id and app_code with every request. For more information on authentication, see the Identity and Access Management Developer Guide.
arrivalNoExpected time arrival at the destination in UTC format according to ISO 8601. Note this parameter is mandatory for parking fee calculation. Example: 2015-04-02T15:40:00.000Z
durationNoEstimated parking duration in minutes. Min value: 1. Max value: 20160 (two weeks) Note this parameter is mandatory for parking fee calculation.

Response to this Request

For more information on the responses to these kinds of queries, see Parking Facilities Response.